#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=optimize=-lto

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DCMAKE_C_COMPILER=gcc-10 -DCMAKE_CXX_COMPILER=g++-10 -DDVR_ENABLE_TCMALLOC=ON -DDVR_ENABLE_PROFILER=ON

override_dh_systemd_enable:
	# Do not enable the systemd service by default.
	dh_systemd_enable --no-enable

override_dh_installsystemd:
	# Do not enable the systemd service by default.
	dh_installsystemd --no-enable
